local Object = require("lib.classic")

local Stack = Object:extend()

function Stack:new()
    self.stack = {}
end

function Stack:clear()
    self.stack = {}
end

function Stack:empty()
    return #self.stack == 0
end

function Stack:push(e)
    table.insert(self.stack, e)
end

function Stack:pop()
    table.remove(self.stack, #self.stack)
end

function Stack:head()
    return self.stack[#self.stack]
end

return Stack