local Entity = require("framework.entity")


return function(x, y, props)
    return Entity(x, y, {
        invincibility = 99999,
        stats = {hp = 1000},
        static = true,
        t = 0,
        extents = {w=2, h=3},
        atlas = Assets.atlases.flame,

        
        update = function(self)
           self.position.y = self.position.y + 1 
        end,
    
        init = function(rn, gameLogic)
            rn:playAnimation({
                {id=0, ox=4, oy=4, t=3},
                {id=1, ox=4, oy=4, t=3}
            })
        end,
    })
end